# Copyright (c) 2019, XhiveFramework Technologies and contributors
# License: MIT. See LICENSE

from xhiveframework.model.document import Document


class WebsiteRouteMeta(Document):
	def autoname(self):
		if self.name and self.name.startswith("/"):
			self.name = self.name[1:]
